Get a single account's transfers
curl --request GET \
--url https://api.exchange.coinbase.com/accounts/{account_id}/transfers \
--header 'cb-access-key: <api-key>' \
--header 'cb-access-passphrase: <api-key>' \
--header 'cb-access-sign: <api-key>' \
--header 'cb-access-timestamp: <api-key>'import requests
url = "https://api.exchange.coinbase.com/accounts/{account_id}/transfers"
headers = {
"cb-access-key": "<api-key>",
"cb-access-passphrase": "<api-key>",
"cb-access-sign": "<api-key>",
"cb-access-timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'cb-access-key': '<api-key>',
'cb-access-passphrase': '<api-key>',
'cb-access-sign': '<api-key>',
'cb-access-timestamp': '<api-key>'
}
};
fetch('https://api.exchange.coinbase.com/accounts/{account_id}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "19ac524d-8827-4246-a1b2-18dc5ca9472c",
"type": "withdraw",
"created_at": "2020-03-12T00:14:12.397Z",
"completed_at": "2020-03-12T00:14:13.021Z",
"amount": "1.00000000",
"details": {
"coinbase_account_id": "2b760113-fbba-5600-ac74-36482c130768",
"coinbase_transaction_id": "5e697ed49f8417148f3366ea",
"coinbase_payment_method_id": ""
},
"currency": "USD"
}
]{
"message": "<string>"
}{
"message": "<string>"
}Accounts
Get a single account's transfers
Lists past withdrawals and deposits for an account.
GET
/
accounts
/
{account_id}
/
transfers
Get a single account's transfers
Authorizations
Path Parameters
Returns list of transfers from this account id.
Query Parameters
Used for pagination. Sets start cursor to before date.
Used for pagination. Sets end cursor to after date.
Limit on number of results to return.
Response
Available options:
deposit, withdraw, internal_deposit, internal_withdraw Show child attributes
Show child attributes
Was this page helpful?
⌘I